import { ProjectRepository } from '@app/domain/projects/project.repository';
import { Project } from '@app/domain/projects/project.model';
import { Observable } from 'rxjs';

export class ListProjectUseCase {
  constructor(private readonly repo: ProjectRepository) {}

  execute(userId: string): Observable<Project[]> {
    return this.repo.list(userId);
  }
}
